using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class UI_Manager : MonoBehaviour
{

	public Button RestartButton;
	public Button InfoButton;
	public Button ExitButton;
	public Button CloseInfoButton;

	public GameObject InfoPanel;
	void Start()
	{
        RestartButton.onMouseDown += Restart;
		ExitButton.onMouseDown += ExitGame;
		InfoButton.onMouseDown += OpenInfoPanel;
        CloseInfoButton.onMouseDown += CloseInfo;
    }

    private void CloseInfo(UIElement sender, int button, Vector2 cursorPosition)
    {
        InfoPanel.enabled = false;
    }

    private void Restart(UIElement sender, int button, Vector2 cursorPosition)
    {
        SceneManager.LoadScene(SceneManager.loadedScene);
    }

    private void OpenInfoPanel(UIElement sender, int button, Vector2 cursorPosition)
    {
       InfoPanel.enabled = true;
    }

    private void ExitGame(UIElement sender, int button, Vector2 cursorPosition)
    {
        Application.Quit();
    }

}
