using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class RightStacks : MonoBehaviour
{
    public GameObject RightStack1;
    public GameObject RightStack2;
    public GameObject RightStack3;
    public GameObject RightStack4;

    public GameObject WinText;

    private GameObject[] rightStacks = new GameObject[4];

    void Awake()
    {
        rightStacks[0] = RightStack1;
        rightStacks[1] = RightStack2;
        rightStacks[2] = RightStack3;
        rightStacks[3] = RightStack4;
    }


    public void SetAceToStack(Card card)
    {
        //     .
        
        for (int i = 0; i < rightStacks.Length; i++)
        {
            Debug.Log("Check");

            if (rightStacks[i].transform.childCount == 0)
            {
                card.transform.parent = rightStacks[i].transform;
                card.transform.position = rightStacks[i].transform.position;
                break;
            }
        }
    }

    public bool trySetToStack(Card card)
    {

        for (int i = 0; i < rightStacks.Length; i++)
        {
            if (rightStacks[i].transform.childCount != 0)
            {
                string lastCardName = rightStacks[i].transform.GetChild(rightStacks[i].transform.childCount - 1).gameObject.name;

                if (rightStacks[i].transform.GetChild(rightStacks[i].transform.childCount - 1).gameObject.name[0].ToString() == card.gameObject.name[0].ToString())
                {

                    if (int.Parse(lastCardName.Substring(1)) == int.Parse(card.name.Substring(1)) + 1)
                    {
                        card.CurrentPile = i;
                        //card.transform.parent = GameObject.Find("GameManager").transform;
                        card.transform.parent = rightStacks[i].transform;
                        card.transform.position = rightStacks[i].transform.position;

                        checkIfWin();
                        return true;
                        break;

                    }

                }
               
            }

        }
        return false;
    }

    private void checkIfWin()
    {
        int totalCardsInRightStacks = 0;
        for(int i = 0; i < rightStacks.Length; i++)
        {
            totalCardsInRightStacks += rightStacks[i].transform.childCount;
            if (totalCardsInRightStacks >= 52 & WinText.enabled == false)
            {
                WinText.enabled = true;
            }
            Debug.Log(totalCardsInRightStacks.ToString());
        }
    }
}